### Method

# Foundry LlmResource dup_description

since: 1.1

#### Declaration [src]

    char*
    foundry_llm_resource_dup_description (
      FoundryLlmResource* self
    )

#### Description [src]

Gets the description for the resource.

Available since: 1.1

#### Return value

Type: `char*`

A newly allocated string containing the description, or `NULL` if not available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.